#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-4RlThecC3x2HFb6GKnAatQ
key:                  lsp-1.2.0.1-4RlThecC3x2HFb6GKnAatQ
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  8af4625cb84581e07e12141e7031f586
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-70gicTR89GOI04ZmwBq6Wc:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-70gicTR89GOI04ZmwBq6Wc:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-70gicTR89GOI04ZmwBq6Wc:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-70gicTR89GOI04ZmwBq6Wc:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.2.0.1-4RlThecC3x2HFb6GKnAatQ
depends:
    aeson-2.1.1.0-4M4Q1RS88i145fLgkhDJeF
    async-2.2.4-9byXxaHstkgJ8t3QD8BObS
    attoparsec-0.14.4-BZexaHOT2692bWaZsVxn9Y base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    dependent-map-0.4.0.0-534QmGkzz0JDfQPFGg22Dr exceptions-0.10.4
    hashable-1.4.1.0-DXpj0ho9mwSB6ue30MIccy
    hslogger-1.3.1.0-LyUFZ0aUnxm6yN8yrxki1U
    lens-5.2-Dvb7Pd00GOjwndYeaKKpC
    lsp-types-1.3.0.1-70gicTR89GOI04ZmwBq6Wc mtl-2.2.2
    network-uri-2.6.4.1-4FpmgFzRAF8F97n6lcYlg2
    random-1.2.1.1-8CHMJ7bQuMH2073ZOampkn
    scientific-0.3.7.0-994Cd8S1bkZ9FDNHRggxUL
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-1oz2vTo8QZe9pPW8EMafVJ
    uuid-1.3.15-D8DRzRcZ4OEEzKouQjlzMp

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

